##
##  gpg-error.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2024 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package information
Name:         gpg-error
Summary:      GnuPG Error Library
URL:          ftp://ftp.gnupg.org/gcrypt/libgpg-error/
Vendor:       g10 Code GmbH
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        PLUS
Group:        Cryptography
License:      LGPL
Version:      1.49
Release:      20240427

#   list of sources
Source0:      ftp://ftp.gnupg.org/gcrypt/libgpg-error/libgpg-error-%{version}.tar.gz
Patch0:       gpg-error.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, make, gcc, gawk
PreReq:       OpenPKG, openpkg >= 20160101

%description
    This is a library that defines common error values for all GnuPG
    components. Among these are GPG, GPGSM, GPGME, GPG-Agent, libgcrypt,
    pinentry, SmartCard Daemon and possibly more in the future.

%track
    prog gpg-error = {
        version   = %{version}
        url       = ftp://ftp.gnupg.org/gcrypt/libgpg-error/
        regex     = libgpg-error-(__VER__)\.tar\.gz
    }

%prep
    %setup -q -n libgpg-error-%{version}
    %patch -p0

%build
    CC="%{l_cc}" \
    CXX="%{l_cxx}" \
    CFLAGS="%{l_cflags -O}" \
    CXXFLAGS="%{l_cxxflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    ./configure \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --disable-nls \
        --enable-shared=no
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install AM_MAKEFLAGS="DESTDIR=$RPM_BUILD_ROOT"
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std}

%files -f files

%clean

